Package: groovy.org.codenarc.ruleset

## [Groovy] Class GroovyDslRuleSet

- groovy.org.codenarc.ruleset.GroovyDslRuleSet

- All Implemented Interfaces and Traits:
    RuleSet

      class GroovyDslRuleSet

  A `RuleSet` implementation that parses a Groovy DSL of RuleSet definitions. The filename passed into the constructor is interpreted relative to the classpath. Note that this class attempts to read the file and parse the Groovy from within the constructor.

  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDslRuleSet (String path)` Construct a new instance on the specified Groovy DSL RuleSet file path

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List` | `getRules()` @return a List of Rule objects

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyDslRuleSet(String path)

      Construct a new instance on the specified Groovy DSL RuleSet file path

      Parameters:
        `path` - - the path to the Groovy DSL RuleSet definition file, relative to the classpath; must not be empty or null

  - ### Method Detail

    - #### List getRules()

      Returns:
        a List of Rule objects